// STATBASE.H - Headerfile for STATBASE.C
// Written by Stefan Pfeiffer, 950526
// Last modification: 951220
// (C) 1995 by Stefan Pfeiffer, DL1ELY@DB0PKE

#ifndef STATBASE_H

#define STATBASE_H

#include "structs.h"
#include "secmem.h"
#include <stdio.h>

void write_entry(FILE *, FILE *, struct callinfo);

//void quicksort(HMEM,unsigned int,unsigned int,unsigned,int (*fcmp)(const void far *, const void far *));
//int far cmp_call_ind(const void far *, const void far *);
//int far cmp_multi_ind(const void far *, const void far *);
//int far cmp_locator_ind(const void far *, const void far *);

void del_record(FILE *, unsigned long);
//unsigned update_call_ndx(struct call_index *,unsigned long, HMEM *, unsigned);
//unsigned update_multi_ndx(struct multi_index *,unsigned long, HMEM *, unsigned);
//unsigned update_loc_ndx(struct loc_index *,unsigned long, HMEM *, unsigned);

void disp_record(struct callinfo);
unsigned edit_call_record(struct callinfo *, unsigned, unsigned char);

void do_browse_stations(void);

void do_add_cnt(void);

void reorganisation(unsigned);

char purge_date(void);

#endif

